#include "usb.h"

#ifndef __USBHW_H__
#define __USBHW_H__

/* USB Hardware Functions */
extern void  USB_Init(void);
extern void  USB_Connect(UNS_32  con);
extern void  USB_Reset(void);
extern void  USB_Suspend(void);
extern void  USB_Resume(void);
extern void  USB_WakeUp(void);
extern void  USB_WakeUpCfg(UNS_32  cfg);
extern void  USB_SetAddress(UNS_32 adr);
extern void  USB_Configure(UNS_32  cfg);
extern void  USB_ConfigEP(USB_ENDPOINT_DESCRIPTOR *pEPD);
extern void  USB_DirCtrlEP(UNS_32 dir);
extern void  USB_EnableEP(UNS_32 EPNum);
extern void  USB_DisableEP(UNS_32 EPNum);
extern void  USB_ResetEP(UNS_32 EPNum);
extern void  USB_SetStallEP(UNS_32 EPNum);
extern void  USB_ClrStallEP(UNS_32 EPNum);
extern UNS_32 USB_ReadEP(UNS_32 EPNum, UNS_8 *pData);
extern UNS_32 USB_ReadSetupPkt(UNS_32 EPNum, UNS_32 *pData);
extern UNS_32 USB_ReadReqEP(UNS_32 EPNum, UNS_8 *pData, UNS_32 len);
extern UNS_32 USB_WriteEP(UNS_32 EPNum, UNS_8 *pData, UNS_32 cnt);
extern void  USB_ISR(void);


#endif  /* __USBHW_H__ */
